package com.realnet.dabs.Services;
import com.realnet.dabs.Repository.DashboardRepository;
import com.realnet.dabs.Entity.Dashboard
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class DashboardService {
@Autowired
private DashboardRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Dashboard Savedata(Dashboard data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Dashboard save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Dashboard> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Dashboard> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Dashboard> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Dashboard getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Dashboard update(Dashboard data,Integer id) {
	Dashboard old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.getActive());

old.setDate_field(data.getDate_field());

old.setCurrency(data.getCurrency());

old.setPhoneno(data.getPhoneno());

final Dashboard test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
